<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <!-- displays site properly based on user's device -->

    <link
      rel="icon"
      type="image/png"
      sizes="32x32"
      href="./assets/images/favicon-32x32.png"
    />
    <!-- ----------------------------- Fonts -------------------  -->
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap"
      rel="stylesheet"
    />

    <title>PLAN</title>

    <!-- Feel free to remove these styles or customise in your own stylesheet 👍 -->
    <!-- <style>
      .attribution {
        font-size: 11px;
        text-align: center;
      }
      .attribution a {
        color: hsl(228, 45%, 44%);
      }
    </style> -->
    <link rel="stylesheet" href="../css/page3.css" />
  </head>
  <body>
    <main>
      <div class="container" id="container3">
        <section class="left">
          <div class="div1">
            <div class="left1">
              <span class="span1">1</span>
            </div>
            <div class="right1">
              <p>STEP 1</p>
              <h3 class="h3">YOUR INFO</h3>
            </div>
          </div>
          <div class="div2">
            <div class="left2">
              <span>2</span>
            </div>
            <div class="right1">
              <p>STEP 2</p>
              <h3 class="h3">SELECT PLAN</h3>
            </div>
          </div>
          <div class="div3">
            <div class="left3">
              <span class="span3">3</span>
            </div>
            <div class="right1">
              <p>STEP 3</p>
              <h3 class="h3">ADD-ONS</h3>
            </div>
          </div>
          <div class="div4">
            <div class="left4">
              <span>4</span>
            </div>
            <div class="right1">
              <p>STEP 4</p>
              <h3 class="h3">SUMMARY</h3>
            </div>
          </div>
        </section>
        <section class="right">
          <div class="head">
            <h1>Pick add-ons</h1>
            <p>Add-ons help enhance your gaming experience.</p>
          </div>

          <div class="option1">
            <div class="option11">
              <input type="checkbox" id="checkbox1" />
            </div>
            <div class="option12">
              <h3>Online service</h3>
              <p>Access to multiplayer games</p>
            </div>
            <div class="option13">
              <h2>+$1/mo</h2>
            </div>
          </div>
          <div class="option2">
            <div class="option21">
              <input type="checkbox" id="checkbox2" />
            </div>
            <div class="option22">
              <h3>Larger storage</h3>
              <p>Extra 1TB of cloud save</p>
            </div>
            <div class="option23">
              <h2>+$2/mo</h2>
            </div>
          </div>
          <div class="option3">
            <div class="option31">
              <input type="checkbox" id="checkbox3" />
            </div>
            <div class="option32">
              <h3>Customizable Profile</h3>
              <p>Custom theme on your profile</p>
            </div>
            <div class="option33">
              <h2>+$2/mo</h2>
            </div>
          </div>

          <div class="buttons2">
            <a href="../templates/Page2.html" class="anchortag1"
              ><button class="formbtn1">GoBack</button></a
            >
            <!-- <a href="./Page3.html" class="anchortags"><button  class="formbtn">Next Step</button></a> -->
            <a href="./Page4.html" class="anchortag2"
              ><button class="formbtn2">Next Step</button></a
            >
          </div>
        </section>
      </div>
    </main>
    <script>
      const monthOptionPrices = [1, 2, 2];
      const yearlyOptionPrices = [10, 20, 20];
      const optionElements = document.querySelectorAll(
        ".option13 h2,.option23 h2,.option33 h2"
      );
      const storedPlan = JSON.parse(localStorage.getItem("SelectedPlan"));

      function updatePrices() {
        // console.log(storedPlan);
        try {
          optionElements.forEach((element, index) => {
            // console.log(element);
            if (storedPlan[0].type === "yearly") {
              // console.log("Yearly price");
              element.innerHTML = `+$${yearlyOptionPrices[index]}/yr`;
            } else {
              element.innerHTML = `+$${monthOptionPrices[index]}/mo`;
            }
          });
        } catch (e) {
          console.error(e);
        }
      }

      let addons = [];
      const handleCheckboxChange = (checkbox, title, index) => {
        checkbox.addEventListener("change", () => {
          if (checkbox.checked) {
            addons.push({
              title: title,
              price:
                storedPlan[0].type === "yearly"
                  ? yearlyOptionPrices[index]
                  : monthOptionPrices[index],
            });
          } else {
            addons = addons.filter((item) => item.title !== title);
          }
          console.log(addons);
          localStorage.setItem("Addons", JSON.stringify(addons));
        });
      };

      handleCheckboxChange(checkbox1, "Online Service", 0);
      handleCheckboxChange(checkbox2, "Larger Storage", 1);
      handleCheckboxChange(checkbox3, "Customizable Profile", 2);
// This is for the selection of addons after clicking on checkbox
      document
        .querySelectorAll(".option1, .option2, .option3")
        .forEach((option) => {
          const checkbox = option.querySelector('input[type="checkbox"]');

          checkbox.addEventListener("change", function () {
            if (this.checked) {
              option.classList.add("selected");
            } else {
              option.classList.remove("selected");
            }
          });
        });

      updatePrices();
    </script>
  </body>
</html>
